Package Details: downgrader 2.0.0-3

Git Clone URL: https://aur.archlinux.org/downgrader.git (read-only)
Package Base: downgrader
Description: Powerful packages downgrader for Archlinux. Works with libalpm, ARM and pacman logs
Upstream URL: https://github.com/DimaSmirnov/Archlinux-downgrader
Licenses: GPL
Submitter: Spilver
Maintainer: Spilver
Last Packager: Spilver
Votes: 238
Popularity: 4.691426
First Submitted: 2011-06-27 18:31
Last Updated: 2016-05-31 18:39

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

asm0dey commented on 2018-10-27 04:33

I've created package downgrader-git, which works according to guidelines

haawda commented on 2018-10-10 10:16

This package has several more or less small issues: git is a makedependency pacman is a dependency (and probably also pacman-contrib, see below) as it pulls from master without using a specific commit, it should be named with the -git extension. license should be an array

ron2138 commented on 2018-10-05 19:13

The package description, as well as upstream github pages, states it works with ARM. Am I right ARM is Arch Linux Rollback Machine?

  1. According to https://downforeveryoneorjustme.com/, ARM is currently down.
  2. Should the dedicated collection "Arch Linux Historical Archive" on archive.org be mentioned in the description?

bartus commented on 2018-05-30 12:21

pacsort has been moved to pacman-contrib

dlin commented on 2018-02-27 01:01

please use standard VCSPKGBUILD guide to modify source as follow

source=("git+https://github.com/DimaSmirnov/Archlinux-downgrader.git")

Xavion commented on 2017-06-12 00:24

Yes, it would be good to have the creation/upload date listed next to each entry in the list. If I want to roll back to a package I know I installed two Saturdays ago (but don't remember the version number), I have to go by its date-stamp.

Spilver commented on 2017-05-26 12:15

Thanks for issue. I`ll check it implementation

pepper_chico commented on 2017-05-24 23:54

Upstream issue: https://github.com/DimaSmirnov/Archlinux-downgrader/issues/19

The way downgrader numerically order package versions is not helpful and can even prevent listing more up-to-date packages. For example, I'm on linux 4.11.2 and I'd like to downgrade to 4.10.9 but downgrade doesn't list it despite it being available on https://archive.archlinux.org/packages/l/linux/. This is happening because the ordering is wrong and assuming 4.10 is less relevant than 4.9, 4.8, etc because 4.10 begins with 4.1.

All the packages available at the archive have upload date, as well as the cached packages. Why not order the listing based on date-time instead of trying to figure out order from version numbers?

~ ❯❯❯ downgrader linux
Downgrade package: linux
1: linux-4.9.9-2 (from ALA)
2: linux-4.9.9-1 (from ALA)
3: linux-4.9.8-1 (from ALA)
4: linux-4.9.7-1 (from ALA)
5: linux-4.9.6-1 (from ALA)
6: linux-4.9.5-1 (from ALA)
7: linux-4.9.4-1 (from ALA)
8: linux-4.9.3-1 (from ALA)
9: linux-4.9.2-1 (from ALA)
10: linux-4.9.11-1 (from ALA)
11: linux-4.9.1-1 (from ALA)
12: linux-4.9-1 (from ALA)
13: linux-4.8.9-1 (from ALA)
14: linux-4.8.8-2 (from ALA)
15: linux-4.8.8-1 (from ALA)
16: linux-4.8.7-1 (from ALA)
17: linux-4.8.6-1 (from ALA)
18: linux-4.8.4-1 (from ALA)
19: linux-4.8.3-1 (from ALA)
20: linux-4.8.2-1 (from ALA)
21: linux-4.8.14-1 (from ALA)
22: linux-4.8.13-1 (from ALA)
23: linux-4.8.12-3 (from ALA)
24: linux-4.8.12-2 (from ALA)
25: linux-4.8.12-1 (from ALA)
26: linux-4.8.11-1 (from ALA)
27: linux-4.8.10-1 (from ALA)
28: linux-4.8.1-1 (from ALA)
29: linux-4.8-1 (from ALA)
30: linux-4.7.6-1 (from ALA)
>> Please enter package number, [q] to quit q

rpatros commented on 2017-02-18 19:27

Can this application be updated to support QT5.8 and above. Without QT5.8, other application such as Kdenlive, Openshot and others do not work.

msauter commented on 2017-01-05 12:09

It appears that downgrader doesn't always list all the available options (e.g. for the package xf86-video-intel). I am not sure, however, whether this is a bug or a feature. For me downgrade in AUR worked better.